<?php
include '../head.php';

switch ($_GET['find']) {
default:
echo '<div class="title">Поиск счета оплаты</div></br><form action="search.php?find=ok" method="post" name="form">


Счет оплаты:<br />
<input name="nomer" type="text" maxlength="32" /><br> 
<input name="submit" type="submit" value="Поиск" />
            </form>';
include '../foot.php';
break;
case 'ok':
$num=($_POST['nomer']);
if (!preg_match('/[0-9]+$/i',$num)){echo '<div class="title">Ошибка</div>Вводить только цифры</br>'; echo '<a href="search.php">Назад</a>'; include '../foot.php'; exit ();}



$number = mysql_fetch_assoc(mysql_query("SELECT * FROM `rek` WHERE `num` = '".$num."'"));

if($number == TRUE)
{
$data = mysql_query("SELECT * FROM `rek` WHERE `num` = '".$num."' ORDER BY RAND() LIMIT 10");
while ($row = mysql_fetch_assoc($data)){
echo '<div class="title">Результаты поиска</div><b>Сайт:</b></br><a href="'.$row['url'].'" style="color:'.$row['color'].'">'.$row['name'].'</a></br><b>Заказан:</b></br> ';


echo date('d.m.Y в H:i',$row['data']);

$time = time(); 
$srok=$time-$row['data']; 
if ($srok < $row['days']*86400 ) { echo '</br><b>Истекает:</b></br>'.date('d.m.Y в H:i',($row['data']+$row['days']*86400));
}
else { echo '</br><b>Просрочен:</b></br>'.date('d.m.Y в H:i',($row['data']+$row['days']*86400));}

if (1 ==$row
['ok']) { echo '</br>

<b>Счет оплачен:</b></br>'.$row['sum'].' руб';

 }else { echo '</br>

<b>Счет неоплачен:</b></

br>'.$row['sum'].' руб';}

if (empty($row['err'])) {echo '</br><b>Ошибок не обнаружено</b>';} 
else { echo '</br><b>Обнаружена ошибка</b></br>'.$row['err'];}


echo '</br><a href="search.php">Назад</a></br>';
include '../foot.php';



}
}
else {
header('Location: search.php?find=no');
exit;
}
break;
case 'no':
echo '<div class="title">Ошибка</div>По вашему запросу ничего не найдено</br><a href="search.php">Назад</a>';


include '../foot.php';

break;

}
?>

